Get a category
curl --request GET \
--url https://{domain}/api/application/categories/{category} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/categories/{category}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/categories/{category}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/categories/{category}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/categories/{category}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/categories/{category}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 3,
"name": "Minecraft Plans",
"description": "Minecraft Plans to test the Pterodactyl Module.",
"image": "categories/bpDSK36Tny6D0ki7j3D0fS0GLzMW5x0HMeBv7hxN.png",
"position": 1,
"design": "image_background",
"products_count": 7,
"products": [
{
"id": 20,
"name": "Minecraft Advanced",
"slug": "minecraft-advanced-plan",
"description": "<ul style=\"margin-top:16px; line-height:2; list-style:none; padding:0;\">\n <li>✅ <strong>8 GB RAM</strong></li>\n <li>✅ <strong>16 GB NVMe storage</strong></li>\n <li>✅ backups & DDoS protection</li>\n <li>✅ One click plugin & mod installer</li>\n <li>✅ 24/7 support</li>\n</ul>",
"image": "products/gGPRQ6sy9Gzr0JDaUz2aaA8OIE6Tmp1sKsXNoprX.png",
"icon_image": null,
"tags": [],
"status": "active",
"position": 1,
"stock": 1,
"per_user_stock": -1,
"category": {
"id": 3,
"name": "Minecraft Plans"
},
"module": "PterodactylService",
"billing_cycles": {
"weekly": {
"enabled": false,
"price": 0,
"setup_fee": 0,
"setup_fee_recurring": false
},
"monthly": {
"enabled": true,
"price": 25,
"setup_fee": 4,
"setup_fee_recurring": true
},
"quarterly": {
"enabled": true,
"price": 50,
"setup_fee": 5,
"setup_fee_recurring": true
},
"yearly": {
"enabled": true,
"price": 100,
"setup_fee": 5,
"setup_fee_recurring": true
},
"lifetime": {
"enabled": false,
"price": 0,
"setup_fee": 0,
"setup_fee_recurring": false
}
},
"custom_plans": [],
"configurable_options": [
{
"name": "Extra Memory",
"type": "slider",
"required": false,
"validation_rules": null,
"min": 1024,
"max": 3072,
"step": 1,
"default_value": "1024",
"mapped_field": "memory",
"options": [
{
"label": "1 GB RAM",
"value": "1024",
"description": null,
"image_url": null,
"price": null,
"pricing": {
"custom_1772008065238_ih05rvby0": 2,
"custom_1772008076590_vrnrkyrxr": 3,
"weekly": 3,
"monthly": 4,
"quarterly": 5,
"yearly": 6,
"lifetime": 8
}
}
]
}
],
"upgrade": {
"enabled": true,
"fee": 0,
"prorate": false
},
"downgrade": {
"enabled": true,
"fee": 0,
"refund": true
},
"is_taxable": true,
"created_at": "2026-02-25T08:58:36.000000Z",
"updated_at": "2026-11-16T07:49:12.000000Z"
}
],
"created_at": "2026-02-25T08:22:15.000000Z",
"updated_at": "2026-07-06T07:39:20.000000Z"
},
"meta": {
"request_id": "44bbfda0-d6d7-47f8-ac71-f1bc9d391d9a"
}
}Categories
Get a category
One category with its products.
Permission: categories.show
GET
/
categories
/
{category}
Get a category
curl --request GET \
--url https://{domain}/api/application/categories/{category} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/categories/{category}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/categories/{category}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/categories/{category}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/categories/{category}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/categories/{category}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 3,
"name": "Minecraft Plans",
"description": "Minecraft Plans to test the Pterodactyl Module.",
"image": "categories/bpDSK36Tny6D0ki7j3D0fS0GLzMW5x0HMeBv7hxN.png",
"position": 1,
"design": "image_background",
"products_count": 7,
"products": [
{
"id": 20,
"name": "Minecraft Advanced",
"slug": "minecraft-advanced-plan",
"description": "<ul style=\"margin-top:16px; line-height:2; list-style:none; padding:0;\">\n <li>✅ <strong>8 GB RAM</strong></li>\n <li>✅ <strong>16 GB NVMe storage</strong></li>\n <li>✅ backups & DDoS protection</li>\n <li>✅ One click plugin & mod installer</li>\n <li>✅ 24/7 support</li>\n</ul>",
"image": "products/gGPRQ6sy9Gzr0JDaUz2aaA8OIE6Tmp1sKsXNoprX.png",
"icon_image": null,
"tags": [],
"status": "active",
"position": 1,
"stock": 1,
"per_user_stock": -1,
"category": {
"id": 3,
"name": "Minecraft Plans"
},
"module": "PterodactylService",
"billing_cycles": {
"weekly": {
"enabled": false,
"price": 0,
"setup_fee": 0,
"setup_fee_recurring": false
},
"monthly": {
"enabled": true,
"price": 25,
"setup_fee": 4,
"setup_fee_recurring": true
},
"quarterly": {
"enabled": true,
"price": 50,
"setup_fee": 5,
"setup_fee_recurring": true
},
"yearly": {
"enabled": true,
"price": 100,
"setup_fee": 5,
"setup_fee_recurring": true
},
"lifetime": {
"enabled": false,
"price": 0,
"setup_fee": 0,
"setup_fee_recurring": false
}
},
"custom_plans": [],
"configurable_options": [
{
"name": "Extra Memory",
"type": "slider",
"required": false,
"validation_rules": null,
"min": 1024,
"max": 3072,
"step": 1,
"default_value": "1024",
"mapped_field": "memory",
"options": [
{
"label": "1 GB RAM",
"value": "1024",
"description": null,
"image_url": null,
"price": null,
"pricing": {
"custom_1772008065238_ih05rvby0": 2,
"custom_1772008076590_vrnrkyrxr": 3,
"weekly": 3,
"monthly": 4,
"quarterly": 5,
"yearly": 6,
"lifetime": 8
}
}
]
}
],
"upgrade": {
"enabled": true,
"fee": 0,
"prorate": false
},
"downgrade": {
"enabled": true,
"fee": 0,
"refund": true
},
"is_taxable": true,
"created_at": "2026-02-25T08:58:36.000000Z",
"updated_at": "2026-11-16T07:49:12.000000Z"
}
],
"created_at": "2026-02-25T08:22:15.000000Z",
"updated_at": "2026-07-06T07:39:20.000000Z"
},
"meta": {
"request_id": "44bbfda0-d6d7-47f8-ac71-f1bc9d391d9a"
}
}Authorizations
Was this page helpful?

